TransfoParam {airGR} | R Documentation

## Transformation of the parameters using the provided function

### Description

Function which transforms model parameters using the provided function (from raw to transformed parameters and vice versa).

### Usage

    ## Generic function
    TransfoParam(ParamIn, Direction, FUN_TRANSFO)

    ## Specific functions
    TransfoParam_GR1A(ParamIn, Direction)
    TransfoParam_GR2M(ParamIn, Direction)
    TransfoParam_GR4J(ParamIn, Direction)
    TransfoParam_GR5J(ParamIn, Direction)
    TransfoParam_GR6J(ParamIn, Direction)
    TransfoParam_GR4H(ParamIn, Direction)
    TransfoParam_CemaNeige(ParamIn, Direction)
    TransfoParam_CemaNeigeHyst(ParamIn, Direction)

### Arguments

`ParamIn` | [numeric] vector or matrix of parameter sets (sets in line, parameter values in column)
`Direction` | [character] direction of the transformation: use `"RT"` for Raw -> Transformed and `"TR"` for Transformed -> Raw
`FUN_TRANSFO` | [function] model parameters transformation function (e.g. `TransfoParam_GR4J`, `TransfoParam_CemaNeige`)

### Value

ParamOut [numeric] matrix of parameter sets (sets in line, parameter values in column)

### Author(s)

Laurent Coron, Olivier Delaigue

### Examples

    library(airGR)

    ## ---- generic function

    ## transformation Raw -> Transformed for the GR4J model
    Xraw  <- matrix(c(+221.41, -3.63,  +30.00, +1.37,
                      +347.23, -1.03,  +60.34, +1.76,
                      +854.06, -0.10, +148.41, +2.34),
                      ncol = 4, byrow = TRUE)
    Xtran <- TransfoParam(ParamIn = Xraw, Direction = "RT", FUN_TRANSFO = TransfoParam_GR4J)

    ## transformation Transformed -> Raw for the GR4J model
    Xtran <- matrix(c(+3.60, -2.00, +3.40, -9.10,
                      +3.90, -0.90, +4.10, -8.70,
                      +4.50, -0.10, +5.00, -8.10),
                      ncol = 4, byrow = TRUE)
    Xraw  <- TransfoParam(ParamIn = Xtran, Direction = "TR", FUN_TRANSFO = TransfoParam_GR4J)

    ## ---- specific function

    ## transformation Raw -> Transformed for the GR4J model
    Xraw  <- matrix(c(+221.41, -3.63,  +30.00, +1.37,
                      +347.23, -1.03,  +60.34, +1.76,
                      +854.06, -0.10, +148.41, +2.34),
                      ncol = 4, byrow = TRUE)
    Xtran <- TransfoParam_GR4J(ParamIn = Xraw , Direction = "RT")

    ## transformation Transformed -> Raw for the GR4J model
    Xtran <- matrix(c(+3.60, -2.00, +3.40, -9.10,
                      +3.90, -0.90, +4.10, -8.70,
                      +4.50, -0.10, +5.00, -8.10),
                      ncol = 4, byrow = TRUE)
    Xraw  <- TransfoParam_GR4J(ParamIn = Xtran, Direction = "TR")

[Package airGR version 1.3.2.23 Index]